<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <p>Rock Paper Scissors</p>

    <button onclick="
        const randomNumber = Math.random();
        // if( randomNumber >= 0 && randomNumber < 1/3 ) console.log('Rock');
        // else if( randomNumber >= 1/3 && randomNumber < 2/3 ) console.log('Paper');
        // else console.log('Scissor');

        let compMove;

        if( randomNumber >= 0 && randomNumber < 1/3 ){ compMove = 'Rock';}
        else if( randomNumber >= 1/3 && randomNumber < 2/3 ){ compMove = 'Paper';}
        else {compMove = 'Scissor';}

        console.log(compMove);

        let result = '';

        if( compMove === 'Rock' ) result = 'Tie';
        else if( compMove === 'Paper' ) result = 'You Lose';
        else if( compMove === 'Scissor' ) result = 'You Win ';

        alert( `You Picked rock. Computer picked ${compMove}. ${result}` );

    ">Rock</button>

    <button onclick="

    let randomNumber = Math.random();

    let compMove;

    if( randomNumber >= 0 && randomNumber < 1/3 ){ compMove = 'Rock';}
    else if( randomNumber >= 1/3 && randomNumber < 2/3 ){ compMove = 'Paper';}
    else {compMove = 'Scissor';}

    console.log(compMove);

    let result = '';

    if( compMove === 'Rock' ) result = 'You Lose';
    else if( compMove === 'Paper' ) result = 'Tie';
    else if( compMove === 'Scissor' ) result = 'You Win ';

    alert( `You Picked rock. Computer picked ${compMove}. ${result}` );

    ">Paper</button>

    <button onclick="

    let randomNumber = Math.random();

    let compMove;

    if( randomNumber >= 0 && randomNumber < 1/3 ){ compMove = 'Rock';}
    else if( randomNumber >= 1/3 && randomNumber < 2/3 ){ compMove = 'Paper';}
    else {compMove = 'Scissor';}

    console.log(compMove);

    let result = '';

    if( compMove === 'Rock' ) result = 'You Win';
    else if( compMove === 'Paper' ) result = 'You Lose';
    else if( compMove === 'Scissor' ) result = 'Tie ';

    alert( `You Picked rock. Computer picked ${compMove}. ${result}` );

    "
    >Scissors</button>

    <script>



    </script>

</body>

</html>